Debian Bug report logs - #601977
cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny

version graph

Package: cyrus-sasl2-heimdal-dbg; Maintainer for cyrus-sasl2-heimdal-dbg is Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>; Source for cyrus-sasl2-heimdal-dbg is src:cyrus-sasl2.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 31 Oct 2010 14:51:01 UTC

Severity: serious

Tags: patch

Found in version cyrus-sasl2/2.1.23.dfsg1-6

Fixed in version cyrus-sasl2/2.1.23.dfsg1-7

Done: roberto@connexer.com (Roberto C. Sanchez)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#601977; Package cyrus-sasl2-heimdal-dbg. (Sun, 31 Oct 2010 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Sun, 31 Oct 2010 14:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny
Date: Sun, 31 Oct 2010 15:42:29 +0100
Package: cyrus-sasl2-heimdal-dbg
Version: 2.1.23.dfsg1-6
Severity: serious

Hi,

Installing cyrus-sasl2-heimdal-dbg in a lenny chroot, then upgrading to
squeeze, causes:
Preparing to replace cyrus-sasl2-heimdal-dbg 2.1.22.dfsg1-23+lenny1 (using .../cyrus-sasl2-heimdal-dbg_2.1.23.dfsg1-6_amd64.deb) ...
Unpacking replacement cyrus-sasl2-heimdal-dbg ...
Preparing to replace cyrus-sasl2-dbg 2.1.22.dfsg1-23+lenny1 (using .../cyrus-sasl2-dbg_2.1.23.dfsg1-6_amd64.deb) ...
Unpacking replacement cyrus-sasl2-dbg ...
dpkg: error processing /var/cache/apt/archives/cyrus-sasl2-dbg_2.1.23.dfsg1-6_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23', which is also in package cyrus-sasl2-heimdal-dbg 2.1.23.dfsg1-6
configured to not write apport reports
dpkg-deb: subprocess paste killed by signal (Broken pipe)

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#601977; Package cyrus-sasl2-heimdal-dbg. (Sun, 28 Nov 2010 03:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Sun, 28 Nov 2010 03:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 601977@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 601977@bugs.debian.org
Subject: Re: Bug#601977: cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny
Date: Sun, 28 Nov 2010 04:11:36 +0100
[Message part 1 (text/plain, inline)]
tags 601977 + patch
thanks

Hi there!

On Sun, 31 Oct 2010 15:42:29 +0100, Lucas Nussbaum wrote:
> Installing cyrus-sasl2-heimdal-dbg in a lenny chroot, then upgrading to
> squeeze, causes:
[...]
> dpkg: error processing /var/cache/apt/archives/cyrus-sasl2-dbg_2.1.23.dfsg1-6_amd64.deb (--unpack):
>  trying to overwrite
> /usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23', which is also in
> package cyrus-sasl2-heimdal-dbg 2.1.23.dfsg1-6

Here the situation in lenny:
=====
(lenny)root@gismo:/# dpkg -L cyrus-sasl2-dbg | grep gssapi
/usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.22
diverted by cyrus-sasl2-heimdal-dbg to: /usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.22.mit
(lenny)root@gismo:/#
=====

This happens because cyrus-sasl2-heimdal-dbg is unpacked *before*
cyrus-sasl2-dbg, thus /u/l/debug/u/l/sasl2/libgssapiv2.so.2.0.23 is the
one shipped by the cyrus-sasl2-heimdal-dbg package.  It is (sort of)
funny that this happens because of two other NMU fixes (#530781 and
#590759).

Solutions...


1) cyrus-sasl2-heimdal-dbg Pre-Depends: cyrus-sasl2-dbg

   If we want to preserve the status quo, I guess this is the more
   logical solution, i.e. the non-heimdal package must be unpacked
   *before* the heimdal one.  However, technically speaking I do not
   think this will be ever accepted...

   FWIW, tested to work with the following patch:

--8<---------------cut here---------------start------------->8---
diff -u cyrus-sasl2-2.1.23.dfsg1/debian/changelog cyrus-sasl2-2.1.23.dfsg1/debian/changelog
--- cyrus-sasl2-2.1.23.dfsg1/debian/changelog
+++ cyrus-sasl2-2.1.23.dfsg1/debian/changelog
@@ -1,3 +1,12 @@
+cyrus-sasl2 (2.1.23.dfsg1-6.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * debian/control:
+    + in the cyrus-sasl2-heimdal-dbg binary package, move
+      cyrus-sasl2-dbg to Pre-Depends: (Closes: #601977).
+
+ -- Luca Capello <luca@pca.it>  Sat, 27 Nov 2010 20:35:49 +0100
+
 cyrus-sasl2 (2.1.23.dfsg1-6) unstable; urgency=low
 
   * Acknowlge NMU (thanks to Ben Hutchings)
diff -u cyrus-sasl2-2.1.23.dfsg1/debian/control cyrus-sasl2-2.1.23.dfsg1/debian/control
--- cyrus-sasl2-2.1.23.dfsg1/debian/control
+++ cyrus-sasl2-2.1.23.dfsg1/debian/control
@@ -155,7 +155,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: cyrus-sasl2-dbg (= ${binary:Version}), libsasl2-modules-gssapi-heimdal (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: cyrus-sasl2-dbg (= ${binary:Version})
+Depends: libsasl2-modules-gssapi-heimdal (= ${binary:Version}), ${misc:Depends}
 Description: Debugging symbols for Cyrus SASL
  This is the Cyrus SASL API implementation, version 2. See package
  libsasl2-2 and RFC 2222 for more information.
--8<---------------cut here---------------end--------------->8---


2) splitting the offending library out of the "common" cyrus-sasl2-dbg
   package into its own cyrus-sasl2-mit-dbg, which Conflicts: with
   cyrus-sasl2-heimdal-dbg.  This reflects the situation present with
   the runtime libraries and avoid any diversion at all.

   FWIW, tested to work with the following patch:

--8<---------------cut here---------------start------------->8---
diff -u cyrus-sasl2-2.1.23.dfsg1/debian/changelog cyrus-sasl2-2.1.23.dfsg1/debian/changelog
--- cyrus-sasl2-2.1.23.dfsg1/debian/changelog
+++ cyrus-sasl2-2.1.23.dfsg1/debian/changelog
@@ -1,3 +1,24 @@
+cyrus-sasl2 (2.1.23.dfsg1-6.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * Fix for (Closes: #601977), the idea coming from Gaudenz Steinlin
+    <gaudenz@debian.org>:
+    * debian/control:
+      + cyrus-sasl2-dbg Depends: on one of the two GSSAPI dbg packages.
+      + new cyrus-sasl2-mit-dbg package which Conflicts: with
+        cyrus-sasl2-heimdal-dbg.
+      + cyrus-sasl2-heimdal-dbg now Conflicts: with cyrus-sasl2-mit-dbg.
+    * debian/cyrus-sasl2-heimdal-dbg.prerm:
+      - remove, useless.
+    * debian/cyrus-sasl2-heimdal-dbg.postinst:
+      - remove, useless.
+    * debian/cyrus-sasl2-mit-dbg.dirs:
+      + create /usr/lib/debug/usr/lib/sasl2/.
+    * debian/rules:
+      + mv MIT libgssapiv2.so.2.0.23 into cyrus-sasl2-mit-dbg.
+
+ -- Luca Capello <luca@pca.it>  Sun, 28 Nov 2010 03:57:38 +0100
+
 cyrus-sasl2 (2.1.23.dfsg1-6) unstable; urgency=low
 
   * Acknowlge NMU (thanks to Ben Hutchings)
diff -u cyrus-sasl2-2.1.23.dfsg1/debian/control cyrus-sasl2-2.1.23.dfsg1/debian/control
--- cyrus-sasl2-2.1.23.dfsg1/debian/control
+++ cyrus-sasl2-2.1.23.dfsg1/debian/control
@@ -141,7 +141,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libsasl2-2 (= ${binary:Version}), ${misc:Depends}
+Depends: libsasl2-2 (= ${binary:Version}), ${misc:Depends}, cyrus-sasl2-mit-dbg | cyrus-sasl2-heimdal-dbg
 Description: Cyrus SASL - debugging symbols
  This is the Cyrus SASL API implementation, version 2. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -151,11 +151,28 @@
  library or tools. You may be asked to install this package if you encounter
  such a crash.
 
+Package: cyrus-sasl2-mit-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: cyrus-sasl2-dbg (= ${binary:Version}), libsasl2-modules-gssapi-mit (= ${binary:Version}), ${misc:Depends}
+Conflicts: cyrus-sasl2-heimdal-dbg
+Description: Cyrus SASL - debugging symbols
+ This is the Cyrus SASL API implementation, version 2. See package
+ libsasl2-2 and RFC 2222 for more information.
+ .
+ This package contains the debugging symbols for the Cyrus SASL MIT
+ GSSAPI modules package (libsasl2-modules-gssapi-mit). The debugging
+ symbols can be useful when investigating crashes in the SASL library or
+ tools. You may be asked to install this package if you encounter such a
+ crash.
+
 Package: cyrus-sasl2-heimdal-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: cyrus-sasl2-dbg (= ${binary:Version}), libsasl2-modules-gssapi-heimdal (= ${binary:Version}), ${misc:Depends}
+Conflicts: cyrus-sasl2-mit-dbg
 Description: Debugging symbols for Cyrus SASL
  This is the Cyrus SASL API implementation, version 2. See package
  libsasl2-2 and RFC 2222 for more information.
reverted:
--- cyrus-sasl2-2.1.23.dfsg1/debian/cyrus-sasl2-heimdal-dbg.preinst
+++ cyrus-sasl2-2.1.23.dfsg1.orig/debian/cyrus-sasl2-heimdal-dbg.preinst
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-set -e
-
-#DEBHELPER#
-
-if [ install = "$1" ]; then
-  dpkg-divert --package cyrus-sasl2-heimdal-dbg --divert /usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23.mit --rename /usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23
-fi
-
reverted:
--- cyrus-sasl2-2.1.23.dfsg1/debian/cyrus-sasl2-heimdal-dbg.postrm
+++ cyrus-sasl2-2.1.23.dfsg1.orig/debian/cyrus-sasl2-heimdal-dbg.postrm
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-set -e
-
-#DEBHELPER#
-
-if [ remove = "$1" ]; then
-  dpkg-divert --package cyrus-sasl2-heimdal-dbg --rename --remove /usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23
-fi
-
diff -u cyrus-sasl2-2.1.23.dfsg1/debian/rules cyrus-sasl2-2.1.23.dfsg1/debian/rules
--- cyrus-sasl2-2.1.23.dfsg1/debian/rules
+++ cyrus-sasl2-2.1.23.dfsg1/debian/rules
@@ -308,6 +308,7 @@
 	dh_link -s
 	dh_strip -s -psasl2-bin -plibsasl2-2 -plibsasl2-modules -plibsasl2-modules-ldap -plibsasl2-modules-otp -plibsasl2-modules-sql -plibsasl2-modules-gssapi-mit -plibsasl2-dev -Nlibsasl2-modules-gssapi-heimdal --dbg-package=cyrus-sasl2-dbg
 	dh_strip -s -plibsasl2-modules-gssapi-heimdal -Nsasl2-bin -Nlibsasl2-2 -Nlibsasl2-modules -Nlibsasl2-modules-ldap -Nlibsasl2-modules-otp -Nlibsasl2-modules-sql -Nlibsasl2-modules-gssapi-mit -Nlibsasl2-dev --dbg-package=cyrus-sasl2-heimdal-dbg
+	mv debian/cyrus-sasl2-dbg/usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23 debian/cyrus-sasl2-mit-dbg/usr/lib/debug/usr/lib/sasl2/
 	dh_compress -s
 	dh_fixperms -s
 	dh_makeshlibs -s -X/usr/lib/sasl2
only in patch2:
unchanged:
--- cyrus-sasl2-2.1.23.dfsg1.orig/debian/cyrus-sasl2-mit-dbg.dirs
+++ cyrus-sasl2-2.1.23.dfsg1/debian/cyrus-sasl2-mit-dbg.dirs
@@ -0,0 +1 @@
+usr/lib/debug/usr/lib/sasl2/
--8<---------------cut here---------------end--------------->8---

Thx, bye,
Gismo / Luca
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 28 Nov 2010 03:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#601977; Package cyrus-sasl2-heimdal-dbg. (Sun, 28 Nov 2010 21:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Sun, 28 Nov 2010 21:18:05 GMT) Full text and rfc822 format available.

Message #17 received at 601977@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: debian-release@lists.debian.org, Debian Cyrus SASL maintainers <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
Cc: 601977@bugs.debian.org
Subject: Re: Bug#601977: cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny
Date: Sun, 28 Nov 2010 16:14:50 -0500
[Message part 1 (text/plain, inline)]
On Sun, Oct 31, 2010 at 04:11:07PM -0400, Roberto C. Sánchez wrote:
> > 
> I'd be interested to know if anyone has a recommendation on how to
> handle this.  The two packages in question are -dbg packages that are
> created by dh_strip, excerpted from debian/rules below:
> 
> dh_strip -s -psasl2-bin -plibsasl2-2 -plibsasl2-modules -plibsasl2-modules-ldap -plibsasl2-modules-otp -plibsasl2-modules-sql -plibsasl2-modules-gssapi-mit -plibsasl2-dev -Nlibsasl2-modules-gssapi-heimdal --dbg-package=cyrus-sasl2-dbg
> dh_strip -s -plibsasl2-modules-gssapi-heimdal -Nsasl2-bin -Nlibsasl2-2 -Nlibsasl2-modules -Nlibsasl2-modules-ldap -Nlibsasl2-modules-otp -Nlibsasl2-modules-sql -Nlibsasl2-modules-gssapi-mit -Nlibsasl2-dev --dbg-package=cyrus-sasl2-heimdal-dbg
> 
> Both packages need to be able to be installed together, so my question
> centers around whehter it is OK to put a diversion in place so that
> cyrus-sasl2-heimdal-dbg diverts the file.  What does everyone think?
> 
So, it appears that there are some other possibilities, thanks to a
posting by Luca Capello [0].  The first possibility is trivial, but is
not as "correct."  The second is more "correct" but a larger diff.
Given that this must go into Lenny, what opinion or preference does the
release team have on the matter?

Regards,

-Roberto

[0] http://bugs.debian.org/610977

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#601977; Package cyrus-sasl2-heimdal-dbg. (Tue, 14 Dec 2010 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Tue, 14 Dec 2010 00:33:03 GMT) Full text and rfc822 format available.

Message #22 received at 601977@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org, debian-release@lists.debian.org, 601977@bugs.debian.org
Subject: Re: Bug#601977: cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny
Date: Mon, 13 Dec 2010 19:29:01 -0500
[Message part 1 (text/plain, inline)]
On Sun, Nov 28, 2010 at 04:14:50PM -0500, Roberto C. Sánchez wrote:
> On Sun, Oct 31, 2010 at 04:11:07PM -0400, Roberto C. Sánchez wrote:
> > > 
> > I'd be interested to know if anyone has a recommendation on how to
> > handle this.  The two packages in question are -dbg packages that are
> > created by dh_strip, excerpted from debian/rules below:
> > 
> > dh_strip -s -psasl2-bin -plibsasl2-2 -plibsasl2-modules -plibsasl2-modules-ldap -plibsasl2-modules-otp -plibsasl2-modules-sql -plibsasl2-modules-gssapi-mit -plibsasl2-dev -Nlibsasl2-modules-gssapi-heimdal --dbg-package=cyrus-sasl2-dbg
> > dh_strip -s -plibsasl2-modules-gssapi-heimdal -Nsasl2-bin -Nlibsasl2-2 -Nlibsasl2-modules -Nlibsasl2-modules-ldap -Nlibsasl2-modules-otp -Nlibsasl2-modules-sql -Nlibsasl2-modules-gssapi-mit -Nlibsasl2-dev --dbg-package=cyrus-sasl2-heimdal-dbg
> > 
> > Both packages need to be able to be installed together, so my question
> > centers around whehter it is OK to put a diversion in place so that
> > cyrus-sasl2-heimdal-dbg diverts the file.  What does everyone think?
> > 
> So, it appears that there are some other possibilities, thanks to a
> posting by Luca Capello [0].  The first possibility is trivial, but is
> not as "correct."  The second is more "correct" but a larger diff.
> Given that this must go into Lenny, what opinion or preference does the
> release team have on the matter?
> 
> Regards,
> 
> -Roberto
> 
> [0] http://bugs.debian.org/610977
> 

Given the just announced deep freeze, I'd like some guidance from the
release team on this, so that I can prepare an update with an acceptable
fix to go into Squeeze.

Regards,

-Roberto
-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#601977; Package cyrus-sasl2-heimdal-dbg. (Tue, 14 Dec 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Tue, 14 Dec 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #27 received at 601977@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 601977@bugs.debian.org
Cc: Debian Cyrus SASL maintainers <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#601977: cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny
Date: Tue, 14 Dec 2010 20:03:10 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Tue, 14 Dec 2010 01:29:01 +0100, Roberto C. Sánchez wrote:
>> > created by dh_strip, excerpted from debian/rules below:
>> > 
>> > dh_strip -s -psasl2-bin -plibsasl2-2 -plibsasl2-modules -plibsasl2-modules-ldap -plibsasl2-modules-otp -plibsasl2-modules-sql -plibsasl2-modules-gssapi-mit -plibsasl2-dev -Nlibsasl2-modules-gssapi-heimdal --dbg-package=cyrus-sasl2-dbg
>> > dh_strip -s -plibsasl2-modules-gssapi-heimdal -Nsasl2-bin -Nlibsasl2-2 -Nlibsasl2-modules -Nlibsasl2-modules-ldap -Nlibsasl2-modules-otp -Nlibsasl2-modules-sql -Nlibsasl2-modules-gssapi-mit -Nlibsasl2-dev --dbg-package=cyrus-sasl2-heimdal-dbg
>> > 
>> > Both packages need to be able to be installed together, so my question
>> > centers around whehter it is OK to put a diversion in place so that
>> > cyrus-sasl2-heimdal-dbg diverts the file.  What does everyone think?

I guess that it would have helped me quite a lot to know that this bug
had a reply and it was now ignored for quite a month, but it seems that
the reply above was not sent to the BTS and only to the mailing list:

  http://lists.alioth.debian.org/pipermail/pkg-cyrus-sasl2-debian-devel/2010-October/001957.html

>> So, it appears that there are some other possibilities, thanks to a
>> posting by Luca Capello [0].

Is there any reason why you did not Cc: me?  I was wondering if this bug
was forgot, given that I did not receive any update on it (and no, going
to the BTS or subscribing to *every* bug someone is interacting with it
is not an acceptable solution).

>> The first possibility is trivial, but is not as "correct."  The
>> second is more "correct" but a larger diff.  Given that this must go
>> into Lenny, what opinion or preference does the release team have on
>> the matter?
[...]
>
> Given the just announced deep freeze, I'd like some guidance from the
> release team on this, so that I can prepare an update with an acceptable
> fix to go into Squeeze.

I am not a library expert, but you cannot install both libraries
together:
=====
luca@gismo:~$ apt-cache show libsasl2-modules-gssapi-mit | grep Conflicts
Conflicts: libsasl2-modules-gssapi-heimdal
luca@gismo:~$
=====

So, if you want to debug the GSSAPI Heimdal library you need
cyrus-sasl2-heimdal-dbg and, I guess, at the same time
libsasl2-modules-gssapi-heimdal.  Given that the latter conflicts with
the former, it seems clear that the correct approach is the second
option I proposed.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#601977; Package cyrus-sasl2-heimdal-dbg. (Wed, 15 Dec 2010 01:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 15 Dec 2010 01:51:09 GMT) Full text and rfc822 format available.

Message #32 received at 601977@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Luca Capello <luca@pca.it>
Cc: 601977@bugs.debian.org, Debian Cyrus SASL maintainers <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#601977: cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny
Date: Tue, 14 Dec 2010 20:46:02 -0500
[Message part 1 (text/plain, inline)]
On Tue, Dec 14, 2010 at 08:03:10PM +0100, Luca Capello wrote:
> Hi there!
> 
> On Tue, 14 Dec 2010 01:29:01 +0100, Roberto C. Sánchez wrote:
> >> > created by dh_strip, excerpted from debian/rules below:
> >> > 
> >> > dh_strip -s -psasl2-bin -plibsasl2-2 -plibsasl2-modules -plibsasl2-modules-ldap -plibsasl2-modules-otp -plibsasl2-modules-sql -plibsasl2-modules-gssapi-mit -plibsasl2-dev -Nlibsasl2-modules-gssapi-heimdal --dbg-package=cyrus-sasl2-dbg
> >> > dh_strip -s -plibsasl2-modules-gssapi-heimdal -Nsasl2-bin -Nlibsasl2-2 -Nlibsasl2-modules -Nlibsasl2-modules-ldap -Nlibsasl2-modules-otp -Nlibsasl2-modules-sql -Nlibsasl2-modules-gssapi-mit -Nlibsasl2-dev --dbg-package=cyrus-sasl2-heimdal-dbg
> >> > 
> >> > Both packages need to be able to be installed together, so my question
> >> > centers around whehter it is OK to put a diversion in place so that
> >> > cyrus-sasl2-heimdal-dbg diverts the file.  What does everyone think?
> 
> I guess that it would have helped me quite a lot to know that this bug
> had a reply and it was now ignored for quite a month, but it seems that
> the reply above was not sent to the BTS and only to the mailing list:
> 
>   http://lists.alioth.debian.org/pipermail/pkg-cyrus-sasl2-debian-devel/2010-October/001957.html
> 
> >> So, it appears that there are some other possibilities, thanks to a
> >> posting by Luca Capello [0].
> 
> Is there any reason why you did not Cc: me?  I was wondering if this bug
> was forgot, given that I did not receive any update on it (and no, going
> to the BTS or subscribing to *every* bug someone is interacting with it
> is not an acceptable solution).
> 
My apologies.  That was an oversight on my part.

> >> The first possibility is trivial, but is not as "correct."  The
> >> second is more "correct" but a larger diff.  Given that this must go
> >> into Lenny, what opinion or preference does the release team have on
> >> the matter?
> [...]
> >
> > Given the just announced deep freeze, I'd like some guidance from the
> > release team on this, so that I can prepare an update with an acceptable
> > fix to go into Squeeze.
> 
> I am not a library expert, but you cannot install both libraries
> together:
> =====
> luca@gismo:~$ apt-cache show libsasl2-modules-gssapi-mit | grep Conflicts
> Conflicts: libsasl2-modules-gssapi-heimdal
> luca@gismo:~$
> =====
> 
> So, if you want to debug the GSSAPI Heimdal library you need
> cyrus-sasl2-heimdal-dbg and, I guess, at the same time
> libsasl2-modules-gssapi-heimdal.  Given that the latter conflicts with
> the former, it seems clear that the correct approach is the second
> option I proposed.
> 
Thanks.  

Would the release team be willing to accept an upload consisting of the
patch which Luca provided to fix #601977?

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#601977; Package cyrus-sasl2-heimdal-dbg. (Wed, 15 Dec 2010 20:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 15 Dec 2010 20:06:07 GMT) Full text and rfc822 format available.

Message #37 received at 601977@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Roberto C." Sánchez <roberto@connexer.com>
Cc: Luca Capello <luca@pca.it>, 601977@bugs.debian.org, Debian Cyrus SASL maintainers <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#601977: cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny
Date: Wed, 15 Dec 2010 20:03:32 +0000
On Tue, 2010-12-14 at 20:46 -0500, Roberto C. Sánchez wrote:
> On Tue, Dec 14, 2010 at 08:03:10PM +0100, Luca Capello wrote:
> > I am not a library expert, but you cannot install both libraries
> > together:
> > =====
> > luca@gismo:~$ apt-cache show libsasl2-modules-gssapi-mit | grep Conflicts
> > Conflicts: libsasl2-modules-gssapi-heimdal
> > luca@gismo:~$
> > =====
> > 
> > So, if you want to debug the GSSAPI Heimdal library you need
> > cyrus-sasl2-heimdal-dbg and, I guess, at the same time
> > libsasl2-modules-gssapi-heimdal.  Given that the latter conflicts with
> > the former, it seems clear that the correct approach is the second
> > option I proposed.
> > 
> Thanks.  
> 
> Would the release team be willing to accept an upload consisting of the
> patch which Luca provided to fix #601977?

I'm (predictably) not overly keen on adding new packages at this stage,
but it does seem to be the "obviously correct" solution in this case.
Assuming that the upgrade paths using the new package (lenny to squeeze
+ new package and squeeze to squeeze + new package) have been tested,
please go ahead.

Regards,

Adam





Added tag(s) pending. Request was from Roberto C. Sanchez <roberto@connexer.com> to control@bugs.debian.org. (Sat, 18 Dec 2010 16:39:03 GMT) Full text and rfc822 format available.

Reply sent to roberto@connexer.com (Roberto C. Sanchez):
You have taken responsibility. (Sun, 19 Dec 2010 12:21:16 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 19 Dec 2010 12:21:16 GMT) Full text and rfc822 format available.

Message #44 received at 601977-close@bugs.debian.org (full text, mbox):

From: roberto@connexer.com (Roberto C. Sanchez)
To: 601977-close@bugs.debian.org
Subject: Bug#601977: fixed in cyrus-sasl2 2.1.23.dfsg1-7
Date: Sun, 19 Dec 2010 12:17:24 +0000
Source: cyrus-sasl2
Source-Version: 2.1.23.dfsg1-7

We believe that the bug you reported is fixed in the latest version of
cyrus-sasl2, which is due to be installed in the Debian FTP archive:

cyrus-sasl2-dbg_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/cyrus-sasl2-dbg_2.1.23.dfsg1-7_amd64.deb
cyrus-sasl2-doc_2.1.23.dfsg1-7_all.deb
  to main/c/cyrus-sasl2/cyrus-sasl2-doc_2.1.23.dfsg1-7_all.deb
cyrus-sasl2-heimdal-dbg_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/cyrus-sasl2-heimdal-dbg_2.1.23.dfsg1-7_amd64.deb
cyrus-sasl2-mit-dbg_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/cyrus-sasl2-mit-dbg_2.1.23.dfsg1-7_amd64.deb
cyrus-sasl2_2.1.23.dfsg1-7.diff.gz
  to main/c/cyrus-sasl2/cyrus-sasl2_2.1.23.dfsg1-7.diff.gz
cyrus-sasl2_2.1.23.dfsg1-7.dsc
  to main/c/cyrus-sasl2/cyrus-sasl2_2.1.23.dfsg1-7.dsc
libsasl2-2_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/libsasl2-2_2.1.23.dfsg1-7_amd64.deb
libsasl2-dev_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/libsasl2-dev_2.1.23.dfsg1-7_amd64.deb
libsasl2-modules-gssapi-heimdal_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/libsasl2-modules-gssapi-heimdal_2.1.23.dfsg1-7_amd64.deb
libsasl2-modules-gssapi-mit_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/libsasl2-modules-gssapi-mit_2.1.23.dfsg1-7_amd64.deb
libsasl2-modules-ldap_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/libsasl2-modules-ldap_2.1.23.dfsg1-7_amd64.deb
libsasl2-modules-otp_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/libsasl2-modules-otp_2.1.23.dfsg1-7_amd64.deb
libsasl2-modules-sql_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/libsasl2-modules-sql_2.1.23.dfsg1-7_amd64.deb
libsasl2-modules_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/libsasl2-modules_2.1.23.dfsg1-7_amd64.deb
sasl2-bin_2.1.23.dfsg1-7_amd64.deb
  to main/c/cyrus-sasl2/sasl2-bin_2.1.23.dfsg1-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601977@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roberto C. Sanchez <roberto@connexer.com> (supplier of updated cyrus-sasl2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 18 Dec 2010 11:14:59 -0500
Source: cyrus-sasl2
Binary: sasl2-bin cyrus-sasl2-doc libsasl2-2 libsasl2-modules libsasl2-modules-ldap libsasl2-modules-otp libsasl2-modules-sql libsasl2-modules-gssapi-mit libsasl2-dev libsasl2-modules-gssapi-heimdal cyrus-sasl2-dbg cyrus-sasl2-mit-dbg cyrus-sasl2-heimdal-dbg
Architecture: source all amd64
Version: 2.1.23.dfsg1-7
Distribution: unstable
Urgency: low
Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
Changed-By: Roberto C. Sanchez <roberto@connexer.com>
Description: 
 cyrus-sasl2-dbg - Cyrus SASL - debugging symbols
 cyrus-sasl2-doc - Cyrus SASL - documentation
 cyrus-sasl2-heimdal-dbg - Debugging symbols for Cyrus SASL
 cyrus-sasl2-mit-dbg - Cyrus SASL - debugging symbols
 libsasl2-2 - Cyrus SASL - authentication abstraction library
 libsasl2-dev - Cyrus SASL - development files for authentication abstraction lib
 libsasl2-modules - Cyrus SASL - pluggable authentication modules
 libsasl2-modules-gssapi-heimdal - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-modules-gssapi-mit - Cyrus SASL - pluggable authentication modules (GSSAPI)
 libsasl2-modules-ldap - Cyrus SASL - pluggable authentication modules (LDAP)
 libsasl2-modules-otp - Cyrus SASL - pluggable authentication modules (OTP)
 libsasl2-modules-sql - Cyrus SASL - pluggable authentication modules (SQL)
 sasl2-bin  - Cyrus SASL - administration programs for SASL users database
Closes: 601977
Changes: 
 cyrus-sasl2 (2.1.23.dfsg1-7) unstable; urgency=low
 .
   [ Luca Capello ]
   * Fix for (Closes: #601977), the idea coming from Gaudenz Steinlin
     <gaudenz@debian.org>:
     + debian/control:
       - cyrus-sasl2-dbg Depends: on one of the two GSSAPI dbg packages.
       - new cyrus-sasl2-mit-dbg package which Conflicts: with
         cyrus-sasl2-heimdal-dbg.
       - cyrus-sasl2-heimdal-dbg now Conflicts: with cyrus-sasl2-mit-dbg.
     + debian/cyrus-sasl2-heimdal-dbg.preinst:
       - remove, useless.
     + debian/cyrus-sasl2-heimdal-dbg.postrm:
       - remove, useless.
     + debian/cyrus-sasl2-mit-dbg.dirs:
       - create /usr/lib/debug/usr/lib/sasl2/.
     + debian/rules:
       - mv MIT libgssapiv2.so.2.0.23 into cyrus-sasl2-mit-dbg.
 .
   [ Roberto C. Sanchez ]
   * Thanks to Luca Capello for providing the patch.
Checksums-Sha1: 
 9d9ec333c67a8a92465fbc4020596657a147d589 2673 cyrus-sasl2_2.1.23.dfsg1-7.dsc
 22cc2f4cf2ed1f1707b9ec7eb8f13ad12ad1a2a9 95874 cyrus-sasl2_2.1.23.dfsg1-7.diff.gz
 5af2ce1a3bd5a008fb47fe711c90d45efbc77a3e 106314 cyrus-sasl2-doc_2.1.23.dfsg1-7_all.deb
 89b93f0429d55a45da911a20ec5789ea06b60433 157810 sasl2-bin_2.1.23.dfsg1-7_amd64.deb
 a8e9dec2aefe4443b6e322a5e2a8396044f1e202 114792 libsasl2-2_2.1.23.dfsg1-7_amd64.deb
 7630b4372002e0ba89267efbc8f25a398f79e238 155058 libsasl2-modules_2.1.23.dfsg1-7_amd64.deb
 4bdf93ef0fd804ffda8a6303c5329288e021d893 59506 libsasl2-modules-ldap_2.1.23.dfsg1-7_amd64.deb
 076aa4495d885787f833f94627267073821bcccd 79446 libsasl2-modules-otp_2.1.23.dfsg1-7_amd64.deb
 1fde3e19e4b6bbef517558cc362d67992026f109 68396 libsasl2-modules-sql_2.1.23.dfsg1-7_amd64.deb
 188aaa510a70d5719be3b61fb91eca63ea96c47c 70042 libsasl2-modules-gssapi-mit_2.1.23.dfsg1-7_amd64.deb
 9da2a125198e9decdb97e6afa0acc48ba437e705 281296 libsasl2-dev_2.1.23.dfsg1-7_amd64.deb
 b538a7c1c0b6577ed83ca6a9fda3913b34fabcfa 71312 libsasl2-modules-gssapi-heimdal_2.1.23.dfsg1-7_amd64.deb
 4050cb1a4ea2e0ed72b99ded5b14a34a1981c4ed 565778 cyrus-sasl2-dbg_2.1.23.dfsg1-7_amd64.deb
 44f530b46e8dea6a075ea7222ae5cd6346ee92dc 71900 cyrus-sasl2-mit-dbg_2.1.23.dfsg1-7_amd64.deb
 c0d9d48f86b2e811de627737bfa4b58bf2815c37 72158 cyrus-sasl2-heimdal-dbg_2.1.23.dfsg1-7_amd64.deb
Checksums-Sha256: 
 82b38afa86b9ee24a8cb5dafb661721feb8f5a960eb4dfca6992a530291accbd 2673 cyrus-sasl2_2.1.23.dfsg1-7.dsc
 3fd606f501403d8e1cf55ef40686d1aae14c2f7194892bea05be17e60396bb96 95874 cyrus-sasl2_2.1.23.dfsg1-7.diff.gz
 dd1bf0b00e181c25bc730fd91b93fee392544028b9779f91851a92b23ea9a211 106314 cyrus-sasl2-doc_2.1.23.dfsg1-7_all.deb
 258da9d7e468adfbef7c146565c53f40e8e9c38e173fd93a63f8b9d2ae422b87 157810 sasl2-bin_2.1.23.dfsg1-7_amd64.deb
 0d6dbfa86a74224456c0cc3ac1fbee5a1c05b797aadf32261933e9d724adc9df 114792 libsasl2-2_2.1.23.dfsg1-7_amd64.deb
 5d9f48d74494c9e6b4eeedad375b46e2d0df58c46ab279916ab9edbf4bd8eef9 155058 libsasl2-modules_2.1.23.dfsg1-7_amd64.deb
 c717961ce149dbee6f20cfa7836869316f498c0c662797f1bc9d1e5b054da29c 59506 libsasl2-modules-ldap_2.1.23.dfsg1-7_amd64.deb
 0d7ed3532f4c4f1df619756c1827829bc8c95676ab9ca07f6bd3a7876e627c4a 79446 libsasl2-modules-otp_2.1.23.dfsg1-7_amd64.deb
 d32bfb6f32737b4f8e604873e5046c4e1cfdd6a0b695a93f6a918512bab05374 68396 libsasl2-modules-sql_2.1.23.dfsg1-7_amd64.deb
 4b2b28108644d3590c4ef4c28d0903a970c7be78a462c2bde00235af9efac1ca 70042 libsasl2-modules-gssapi-mit_2.1.23.dfsg1-7_amd64.deb
 9b3e735abf268051058bfcd7ffd1bb44d72a058416bebbb046e2f0e9c0848cf7 281296 libsasl2-dev_2.1.23.dfsg1-7_amd64.deb
 bee0206d0c82f61a30b55c2061699d5a41c424b4a38a112659d7f436a973f195 71312 libsasl2-modules-gssapi-heimdal_2.1.23.dfsg1-7_amd64.deb
 efe8c93a5cb94215e3bf3171d1801245c0db8c1acf72a55654bcdb2833c3fd27 565778 cyrus-sasl2-dbg_2.1.23.dfsg1-7_amd64.deb
 fedd53a729a269c2e84fbba59f9e4c906c9884a623e61eecee3ac32891a6206a 71900 cyrus-sasl2-mit-dbg_2.1.23.dfsg1-7_amd64.deb
 3e11077405baf4ee22d34eeeac48713d1e3d61e256cfaf3400c959cfef383295 72158 cyrus-sasl2-heimdal-dbg_2.1.23.dfsg1-7_amd64.deb
Files: 
 5a2e0953bbc54c75c3d917444764f36c 2673 libs standard cyrus-sasl2_2.1.23.dfsg1-7.dsc
 3a753dab92c2d325a1c968f9799a16ea 95874 libs standard cyrus-sasl2_2.1.23.dfsg1-7.diff.gz
 ef5aa437780bda302a15ab7e4cd6ad58 106314 doc optional cyrus-sasl2-doc_2.1.23.dfsg1-7_all.deb
 5047dceead3631374681803a61033f0e 157810 utils optional sasl2-bin_2.1.23.dfsg1-7_amd64.deb
 87df66c0932e7903778216a4f8afea15 114792 libs standard libsasl2-2_2.1.23.dfsg1-7_amd64.deb
 4df7f53175c8f083190860536f84c789 155058 libs optional libsasl2-modules_2.1.23.dfsg1-7_amd64.deb
 94d855be49f8ae5d8c92cdd2713cf95d 59506 libs extra libsasl2-modules-ldap_2.1.23.dfsg1-7_amd64.deb
 f22b3e386c01b247fe6ac2f7e26115a0 79446 libs extra libsasl2-modules-otp_2.1.23.dfsg1-7_amd64.deb
 7659fc39f2dfaebe5bc73e67e0b15f5d 68396 libs extra libsasl2-modules-sql_2.1.23.dfsg1-7_amd64.deb
 373540c136b1bd67741fc0c72b9dc147 70042 libs extra libsasl2-modules-gssapi-mit_2.1.23.dfsg1-7_amd64.deb
 e249f7cd1fcae7b744329eb77e7bde09 281296 libdevel optional libsasl2-dev_2.1.23.dfsg1-7_amd64.deb
 a2af76ba502b4796a5d9a6f5936f0c0f 71312 libs extra libsasl2-modules-gssapi-heimdal_2.1.23.dfsg1-7_amd64.deb
 14175b8b60f4d4813d3471ecd72c0f41 565778 debug extra cyrus-sasl2-dbg_2.1.23.dfsg1-7_amd64.deb
 b0fec3bf12caf29abed73c41e086afb0 71900 debug extra cyrus-sasl2-mit-dbg_2.1.23.dfsg1-7_amd64.deb
 bd5dfc285cbb41d2429c210f474898d8 72158 debug extra cyrus-sasl2-heimdal-dbg_2.1.23.dfsg1-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJNDPNJAAoJECzXeF7dp7IPd30QAKUMBkIpB0lYSBDJrXIDeIM2
RcpEbtvWkLN5xWqigpe+b8bkorwWfNzc8IUpY+E2uKc8Ow6pDe8Fw70ZDRyp2b7H
Yheegr0Rruog+2Sor5Pf7O8e9eZrc4Q89Y4qpFxbbCZoh0G68MLB/UFobo9DG6ep
2vMx6GPJI+/mHbAnr71Oli2Hk04g8acbZPDY9lX2SaCQj2WbO7bwlq1PlFb7fv8h
lGgoLa9aK4SExO9WbGrCIjYRYGWHvc2o0TjUhxmq5pbcm8I+44k3EPGMlrmVAjJb
D66lWmyplPYvBFOOqwg5E4whRzeSTx3k7A5MM3dX9vJAAmXmOActAfeGpvIWPkGp
/ma2tb/k2eJUr6d8EE22u4tnsjADwHT6iNMaGZi6KzNowDPW0kGSkDmFikjwECeE
gsCKMep+J2ssIhoma2gT1/vOmn+ChyFlb4UuaNhyAYXwU5SKpUnV5Khi0Bsk8h/k
FbTO1wsjnZlx7yZXRRwGLkNxzB2WzIENLfzt6Q1UJVXpw+dR325k/ZDW7g293jtc
l3o4wBvR9k/Xe54gba9ItY0ELYVCKSGiqdyhuOFAJhrDhYvu2O+9HeuhHFLsnr0M
uEU2pr+fr9sI4p9Y/4RCtUOatWr9mlJ9RYAPDQK7NPQJjseSykmJPrJZjWg7qAsj
SBSWxbKCZeWP/+B0rFhT
=6BMc
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#601977; Package cyrus-sasl2-heimdal-dbg. (Mon, 20 Dec 2010 09:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Mon, 20 Dec 2010 09:03:02 GMT) Full text and rfc822 format available.

Message #49 received at 601977@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 601977@bugs.debian.org
Subject: Re: Bug#601977: cyrus-sasl2-heimdal-dbg: file conflict during upgrade from lenny
Date: Mon, 20 Dec 2010 09:59:34 +0100
On Sun, Oct 31, 2010 at 03:42:29PM +0100, Lucas Nussbaum wrote:
> Package: cyrus-sasl2-heimdal-dbg
> Version: 2.1.23.dfsg1-6
> Severity: serious
> 
> Hi,
> 
> Installing cyrus-sasl2-heimdal-dbg in a lenny chroot, then upgrading to
> squeeze, causes:
> Preparing to replace cyrus-sasl2-heimdal-dbg 2.1.22.dfsg1-23+lenny1 (using .../cyrus-sasl2-heimdal-dbg_2.1.23.dfsg1-6_amd64.deb) ...
> Unpacking replacement cyrus-sasl2-heimdal-dbg ...
> Preparing to replace cyrus-sasl2-dbg 2.1.22.dfsg1-23+lenny1 (using .../cyrus-sasl2-dbg_2.1.23.dfsg1-6_amd64.deb) ...
> Unpacking replacement cyrus-sasl2-dbg ...
> dpkg: error processing /var/cache/apt/archives/cyrus-sasl2-dbg_2.1.23.dfsg1-6_amd64.deb (--unpack):
>  trying to overwrite '/usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23', which is also in package cyrus-sasl2-heimdal-dbg 2.1.23.dfsg1-6
> configured to not write apport reports
> dpkg-deb: subprocess paste killed by signal (Broken pipe)

The correct fix for #601977 is for
cyrus-sasl2-mit-dbg and cyrus-sasl2-heimdal-dbg to Replaces: cyrus-sasl2-dbg.
Neither Pre-depends nor Conflicts, nor adding more Depends are going to fix it.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jan 2011 07:34:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:34:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.